Bug 1139790 - virt-builder command line parsing ignores -v -x options at end of line
Summary: virt-builder command line parsing ignores -v -x options at end of line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ocaml
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1139803
TreeView+ depends on / blocked
 
Reported: 2014-09-09 15:55 UTC by Richard W.M. Jones
Modified: 2014-09-23 04:39 UTC (History)
6 users (show)

Fixed In Version: ocaml-4.01.0-23.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1139803 (view as bug list)
Environment:
Last Closed: 2014-09-23 04:39:58 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2014-09-09 15:55:24 UTC
Description of problem:

If you do:

  $ virt-builder fedora-20 --size=20G -v -x

when you get only ordinary (non-debug) messages.

If you do:

  $ virt-builder -v -x fedora-20 --size=20G

then you get debug messages.

Note that removing the --size=20G option fixes the first
case, so it must be something to do with the argument.

Version-Release number of selected component (if applicable):

libguestfs 1.27.41

Comment 1 Richard W.M. Jones 2014-09-09 16:27:08 UTC
Simpler reproducer:

This is buggy:

  $ virt-builder --size=20G --version
  virt-builder: virt-builder os-version
  Missing 'os-version'. Use '--list' to list available template names.

This is correct behaviour:

  $ virt-builder --size=20G --version
  virt-builder 1.27.32

This affects RHEL 7.1 too, hence cloning.

Comment 3 Fedora Update System 2014-09-11 13:01:21 UTC
ocaml-4.01.0-22.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ocaml-4.01.0-22.fc21

Comment 4 Fedora Update System 2014-09-11 14:36:24 UTC
Package ocaml-4.01.0-22.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ocaml-4.01.0-22.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10672/ocaml-4.01.0-22.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-09-11 22:20:12 UTC
ocaml-4.01.0-23.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ocaml-4.01.0-23.fc21

Comment 6 Fedora Update System 2014-09-23 04:39:58 UTC
ocaml-4.01.0-23.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.